# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "du-dust"
version = "1.2.4"
authors = [
    "bootandy <bootandy@gmail.com>",
    "nebkor <code@ardent.nebcorp.com>",
]
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A more intuitive version of du"
homepage = "https://github.com/bootandy/dust"
documentation = "https://github.com/bootandy/dust"
readme = "README.md"
keywords = [
    "du",
    "command-line",
    "disk",
    "disk-usage",
]
categories = ["command-line-utilities"]
license = "Apache-2.0"
repository = "https://github.com/bootandy/dust"

[package.metadata.binstall]
pkg-url = "{ repo }/releases/download/v{ version }/dust-v{ version }-{ target }{ archive-suffix }"
bin-dir = "dust-v{ version }-{ target }/{ bin }{ binary-ext }"

[package.metadata.deb]
section = "utils"
assets = [
    [
    "target/release/dust",
    "usr/bin/",
    "755",
],
    [
    "LICENSE",
    "usr/share/doc/du-dust/",
    "644",
],
    [
    "README.md",
    "usr/share/doc/du-dust/README",
    "644",
],
    [
    "man-page/dust.1",
    "usr/share/man/man1/dust.1",
    "644",
],
    [
    "completions/dust.bash",
    "usr/share/bash-completion/completions/dust",
    "644",
],
]
extended-description = """
Dust is meant to give you an instant overview of which directories are using
disk space without requiring sort or head. Dust will print a maximum of one
'Did not have permissions message'.
"""

[badges.travis-ci]
repository = "https://travis-ci.org/bootandy/dust"

[[bin]]
name = "dust"
path = "src/main.rs"

[[test]]
name = "integration"
path = "tests/tests.rs"

[[test]]
name = "test_exact_output"
path = "tests/test_exact_output.rs"

[[test]]
name = "test_flags"
path = "tests/test_flags.rs"

[[test]]
name = "tests_symlinks"
path = "tests/tests_symlinks.rs"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.config-file]
version = "0.2"

[dependencies.ctrlc]
version = "3"

[dependencies.lscolors]
version = "0.21"

[dependencies.nu-ansi-term]
version = "0.50"

[dependencies.rayon]
version = "1"

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.stfu8]
version = "0.2"

[dependencies.sysinfo]
version = "0.37"

[dependencies.terminal_size]
version = "0.4"

[dependencies.thousands]
version = "0.2"

[dependencies.unicode-width]
version = "0.2"

[dev-dependencies.assert_cmd]
version = "2"

[dev-dependencies.tempfile]
version = "=3"

[build-dependencies.clap]
version = "4.4"
features = ["derive"]

[build-dependencies.clap_complete]
version = "4.4"

[build-dependencies.clap_mangen]
version = "0.2"

[target.'cfg(not(target_has_atomic = "64"))'.dependencies.portable-atomic]
version = "1.4"

[target."cfg(windows)".dependencies.filesize]
version = "0.2.0"

[target."cfg(windows)".dependencies.winapi-util]
version = "0.1"

[profile.release]
lto = true
codegen-units = 1
strip = true
